baseURL = "https://ant.lgbt/"
languageCode = "en-uk"
defaultContentLanguage = "en"
title = "ConfusedAnt"
theme = "myTheme"
# enableGitInfo = true
pygmentsCodefences  = true
pygmentsUseClasses  = true
# hasCJKLanguage = true  # If Chinese/Japanese/Korean is your main content language, enable this to make wordCount works right.
rssLimit = 128  # Maximum number of items in the RSS feed.
copyright = "This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License." # This message is only used by the RSS template.
enableEmoji = true  # Shorthand emojis in content files - https://gohugo.io/functions/emojify/
# googleAnalytics = "UA-123-45"
# disqusShortname = "yourdiscussshortname"

[markup.goldmark.renderer]
unsafe= true

[author]
  name = "Yanik Ammann"

[blackfriday]
  # hrefTargetBlank = true
  # noreferrerLinks = true
  # nofollowLinks = true

[taxonomies]
  tag = "tags"
  # Categories are disabled by default.

[params]
  dateform        = "Jan 2, 2006"
  dateformShort   = "Jan 2"
  dateformNum     = "02.01.2006"
  dateformNumTime = "02.01.2006 15:04 -0700"

  # Metadata mostly used in document's head
  description = "Welcome to ant.lgbt. This is my website where I show some things I do. Not too professional but certainly gay enough"
  # images = [""]
  themeColor = "#494f5c"

  # homeSubtitle = "Home of a gay nerd."
  footerCopyright = ' &#183; <a href="https://creativecommons.org/licenses/by-nc/4.0/" target="_blank" rel="noopener">CC BY-NC 4.0</a>'
  # bgImg = ""  # Homepage background-image URL

  # Prefix of link to the git commit detail page. GitInfo must be enabled.
  # gitUrl = "https://github.com/username/repository/commit/"

  # Toggling this option needs to rebuild SCSS, requires Hugo extended version
  justifyContent = true  # Set "text-align: justify" to `.content`.

  relatedPosts = false  # Add a related content section to all single posts page

  code_copy_button = true # Turn on/off the code-copy-button for code-fields

  # Add custom css
  # customCSS = ["css/foo.css", "css/bar.css"]

  # Social Icons
  # Check https://github.com/Track3/hermit#social-icons for more info.
  [[params.social]]
    name = "email"
    url  = "mailto:info@1yanik3.com"

  [[params.social]]
    name = "reddit"
    url  = "https://www.reddit.com/user/1Yanik3/"

  [[params.social]]
    name = "gitlab"
    url  = "https://gitlab.com/ConfusedAnt"

[menu]
  [[menu.main]]
    name       = "Hosting"
    url        = "/hosting"
    weight	   = 30
  [[menu.main]]
    name       = "About"
    url        = "/about"
    weight	   = -24
  [[menu.main]]
    name       = "Blog"
    url        = "/posts"
    weight	   = 10
